### Virtual Method

# Foundry LlmTool dup_name

#### Declaration [src]

    char*
    dup_name (
      FoundryLlmTool* self
    )

#### Description [src]

Gets the “name” of tool which may be provided to the model.

This is often a descriptive function name like “getWeather”.

#### Return value

Type: `char*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.